Index: TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs
===================================================================
--- TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs	(revision 26167)
+++ TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs	(working copy)
@@ -1857,10 +1857,17 @@
                                long iStart, long iEnd, bool selectCurrentShow)
     {
       int channelNum = 0;
-      foreach (TuningDetail detail in channel.ReferringTuningDetail())
+      if (!_byIndex)
       {
-        channelNum = detail.ChannelNumber;
+        foreach (TuningDetail detail in channel.ReferringTuningDetail())
+        {
+          channelNum = detail.ChannelNumber;
+        }
       }
+      else
+      {
+        channelNum = _channelList.IndexOf(channel) + 1;
+      }
 
       string strLogo = Utils.GetCoverArt(Thumbs.TVChannel, channel.DisplayName);
       if (File.Exists(strLogo))
Index: TVLibrary/TvPlugin/TvPlugin/TvMiniGuide.cs
===================================================================
--- TVLibrary/TvPlugin/TvPlugin/TvMiniGuide.cs	(revision 26167)
+++ TVLibrary/TvPlugin/TvPlugin/TvMiniGuide.cs	(working copy)
@@ -620,13 +620,18 @@
 
           if (_showChannelNumber == true)
           {
-            string chanNumbers = " - ";
-            foreach (TuningDetail detail in tvChannelList[i].ReferringTuningDetail())
+            string chanNumbers = "";
+            if (!_byIndex)
             {
-              chanNumbers = chanNumbers + detail.ChannelNumber + " - ";
+              foreach (TuningDetail detail in tvChannelList[i].ReferringTuningDetail())
+              {
+                chanNumbers = chanNumbers + " - " + detail.ChannelNumber;
+              }
             }
-            // strip trailing " - "
-            chanNumbers = chanNumbers.Remove(chanNumbers.Length - 3);
+            else
+            {
+              chanNumbers = " - " + (i + 1);
+            }
             sb.Append(chanNumbers);
           }
 
